<mat-card class="example-card">
    <mat-card-title-group>
        <mat-card-title>{{project.name}}</mat-card-title>
        <mat-card-subtitle>{{project.createdAt | format}}</mat-card-subtitle>
        <mat-card-subtitle>Author: {{project.author?.firstName}}</mat-card-subtitle>
        <mat-card-subtitle>Team: {{project.team?.name}}</mat-card-subtitle>
    </mat-card-title-group>
    <mat-card-content>
        Description: {{project.description}}
    </mat-card-content>
    <mat-card-actions class="actions-buttons" align="end">
        <button mat-icon-button color="primary" (click)="toggleEditContainer()">
            <mat-icon aria-label="Edit">edit</mat-icon>
        </button>
        <button mat-icon-button color="basic" (click)="deleteProject()">
            <mat-icon aria-label="Delete">delete</mat-icon>
        </button>
    </mat-card-actions>
</mat-card>
<mat-card class="example-card" *ngIf="showEditContainer">
    <mat-card-title>Edit</mat-card-title>
    <mat-card-content>
        <mat-form-field appearance="fill">
            <mat-label>Enter Name</mat-label>
            <input matInput [(ngModel)]="project.name" #input maxlength="30" minlength="4" placeholder="Name">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Description</mat-label>
            <textarea [(ngModel)]="project.description" name="description" matInput
                placeholder="Info about your project"></textarea>
        </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
        <button mat-icon-button color="primary" matTooltip="Edit it" (click)="editProject()">
            <mat-icon aria-label="Edit">send</mat-icon>
        </button>
    </mat-card-actions>
</mat-card>